Easymod installation troubles

Having problems installing EM? Let's fix that
Forum rules
DO NOT give out any FTP passwords to anyone! There is no reason to do so! If you need help badly enough, create a temporary FTP account that is restricted to only the files that you need help with and give the information for that. Giving out FTP information can be very dangerous!
Locked
WildBill69
Registered User
Posts: 3
Joined: Wed Feb 20, 2008 4:30 pm

Easymod installation troubles

Post by WildBill69 » Wed Feb 20, 2008 4:41 pm

I had a major malfunction with my forum, and I have to go back and reinstall all of my mods including EasyMOD. I have tried a couple of times following the instructions, and it doesn't seem to be working. I upload the zip file. I extract the file to the admin folder. it does not install a file that says mods into th admin folder. It installs a folder that says EasyMOD. What am I doing wrong. It went in a whole lot easier the first time. I just don't remember how I did it.

Bill

Realisty
Registered User
Posts: 107
Joined: Sat Jan 20, 2007 3:37 pm

Re: Easymod installation troubles

Post by Realisty » Wed Feb 20, 2008 8:50 pm

Create a folder named mods in the admin folder with your ftp program ...... and upload the easymod files in the mods folder.... after that you can install easymod

WildBill69
Registered User
Posts: 3
Joined: Wed Feb 20, 2008 4:30 pm

Re: Easymod installation troubles

Post by WildBill69 » Thu Feb 21, 2008 12:17 am

I'll give it a try.

Bill

WildBill69
Registered User
Posts: 3
Joined: Wed Feb 20, 2008 4:30 pm

Re: Easymod installation troubles

Post by WildBill69 » Thu Feb 21, 2008 7:56 pm

I got it in. But here's what I get. There is no previous installation.

formatted for forum posting)
EM installer v0.3.0 wrote: Update EM from: 0.3.0
phpBB version: 2.0.22
Working Dir: /home/theicefi/public_html/admin/mods/easymod
Install Step: 1
Mode:

The Error wrote: Critical Error: This version of EM has already been installed. Terminating to prevent reinstallation.

If you are trying to reinstall this version, change the EM version number from the Admin Control Panel under EasyMOD Settings. Or you could also use the EM Version Changer (by GPHemsley) here.

Permissions: (including system errors)
read access :: OK
write access :: OK
root path write :: OK
chmod access :: OK
unlink access :: OK
mkdir access :: OK
tmp path write :: OK
FTP extension :: OK
Safe Mode :: OFF
copy access :: OK


Additional System Information:

System: Linux serv01.siteground155.com 2.6.23.13-grsec-sg1 #14 SMP Wed Jan 16 09:36:20 CST 2008 i686
Configure Command: './configure' '--prefix=/usr' '--with-config-file-path=/usr/local/Zend/etc5' '--with-xml' '--with-mm' '--enable-bcmath' '--enable-calendar' '--with-curl' '--with-dom' '--with-dom-xslt' '--with-dom-exslt' '--enable-exif' '--with-swf=/usr/local/flash' '--enable-ftp' '--with-gd' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr' '--with-xpm-dir=/usr/X11R6' '--with-gettext' '--with-imap=/usr/local/imap-2004g' '--enable-mbstring' '--enable-mbstr-enc-trans' '--enable-mbregex' '--with-mcrypt' '--with-mhash' '--enable-magic-quotes' '--with-mm' '--with-mysqli' '--with-mysql=/usr' '--with-openssl' '--enable-discard-path' '--with-pdflib' '--with-pear' '--with-pgsql=/usr' '--with-pspell' '--enable-xslt' '--with-xsl' '--with-xslt-sablot' '--enable-sockets' '--enable-track-vars' '--with-ttf' '--with-freetype-dir=/usr' '--enable-gd-native-ttf' '--enable-versioning' '--enable-wddx' '--with-xmlrpc' '--with-zip' '--with-zlib'
PHP version: 5.0.5
register_globals: OFF
magic_quotes_gpc: ON
magic_quotes_runtime: OFF
allow_url_fopen: ON
sockets_support: enabled


Recommendations:
write: server
move: copy

Selected settings:
write:
move:
ftp dir: /
ftp host: localhost
ftp port: 21
ftp debug: false
ftp ext: fsock
ftp cache: false

CWD Listing:

Code: Select all

drwxr-xr-x .
drwxr-xr-x em_includes
drwxr-xr-x includes
-rw-r--r-- easymod.gif
drwxr-xr-x templates
-rw-r--r-- easymod_install.php
drwxr-xr-x languages
drwxr-xr-x ..
-rw-r--r-- easymod_display_functions.php

Not testing FTP since it is not being used.

User avatar
Lumpy Burgertushie
Registered User
Posts: 1006
Joined: Tue Feb 28, 2006 5:26 pm

Re: Easymod installation troubles

Post by Lumpy Burgertushie » Sat Feb 23, 2008 9:51 pm

that is because the easymod tables etc. are still in your database.

using phpmyadmin or whatever you have to access and maintain your database,

find the EM tables and find the EM version part and change it to some other number.

then go back and do the easymod install again.

or, delete /drop all the EM tables from the database and then install easymod again.

robert

Locked